it-swarm.dev

Mootools for 3.3を無効にしますか?

Joomla 2.5サイトを3.xにアップグレードする必要があります

このサイトではプラグイン「Mootoolsを無効にする」を使用しています

この開発者からunion-d.ru/

このプラグインを3.3で正常に使用している人や、3.3と同様の機能を持つプラグインを知っている人はいますか?ありがとう-開発者は私の質問に答えていません...

誰かがこのプラグインを3.xサイトで使用して成功していますか?または、3.xで動作する同様のプラグインを知っていますか?ありがとう!

10
jmks5517

このツールは必要に応じてMootoolsを無効にし、Joomla 3と互換性があります http://extensions.joomla.org/extensions/core-enhancements/performance/mootools/22236

Joomla 3.0では、MooToolsは非推奨になり、jQueryがデフォルトのJavaScriptフレームワークです。 MooTools Coreライブラリを追加するには、以下を追加する必要があります。

JHTML::_('behavior.framework');

したがって、Mootoolsがロードされているかどうかは、テンプレート/拡張機能によって異なります。

Google Chrome開発者コンソール(おそらくFirefoxのFirebug)で、MooToolsが次の小さなJavaScriptコードで有効になっているかどうかを確認できます。

window.MooTools ? alert ("MooTools loaded") : alert("MooTools NOT loaded");
6
johanpw

このプラグインはJoomla 2.5専用です。したがって、Joomla 3.xで使用する場合、いくつかの非推奨のコードが存在する可能性があります。私は個人的に、非常に評判の良いプラグインである jQuery Easy を使用することをお勧めします。主な機能は、サイトにjQueryをインポートして、スクリプトリストの一番上に一度だけ読み込まれるようにすることですが、可能な場合はMooToolsを無効にする機能も備えています。

2
Lodder

組み込みライブラリJoomlaの管理のためのプラグイン。主なオプション:Mootoolsの無効化、Jqueryの無効化、Bootstrap disable https://github.com/vlasenkofedor/joomla_options

1
Fedor Vlasenko

プラグインを開発していて、onAfterRenderイベントが[〜#〜] not [〜#〜]機能している場合は、以下のようにイベントonBeforeCompileHeadを使用してみてください。

public function onBeforeCompileHead() {
    if ($this->app instanceof JApplicationSite) {
        $doc = JFactory::getDocument();
        $search     = array(
            'jui/js/bootstrap.min.js',
            'mootools-core.js',
            'mootools-more.js',
        );
        foreach ($doc->_scripts as $key => $script) {
            foreach ($search as $findme) {
                if (stristr($key, $findme) !== false) {
                    unset($doc->_scripts[$key]);
                }
            }
        }
    }
}
0